function res = mtimes(a,b)

if isa(a,'WaveletCDF97') == 0
    error('In  A.*B only A can be Wavelet operator');
end

if (length(b) == numel(b))  % 1D case
    if a.adjoint            % Transpose
        if isreal(b)
            res = waveletcdf97(b,-a.level);
        else
            res = waveletcdf97(real(b),-a.level) + i*waveletcdf97(imag(b),-a.level);
        end
    else
        if isreal(b)
            res = waveletcdf97(b,a.level);
        else
            res = waveletcdf97(real(b),a.level) + i*waveletcdf97(imag(b),a.level);
        end
    end
else                        % 2D case
    if a.adjoint            % Transpose
        if isreal(b)
            res = waveletcdf97(b,-a.level);
        else
            res = waveletcdf97(real(b),-a.level) + i*waveletcdf97(imag(b),-a.level);
        end
    else
        if isreal(b)
            res = waveletcdf97(b,a.level);
        else
            res = waveletcdf97(real(b),a.level) + i*waveletcdf97(imag(b),a.level);
        end
    end
end



