function  res = pDFT(mask,mode,phase,imSize)
%
%   res = pDFT(mask,[ mode,phase,imSize])
%	Implementation of partial Fourier operator
%	
%	Input:
%		mask   - 1D/2D/3D matrix with 1 to compute the FT and 0 not to be computed
%		mode   - 0-complex, 1-real, 2-imageinary, 3-absolute (default = 0)
%		phase  - Phase of the image for phase correction (default = 1)
%       imSize - Size of the image (default = same as data size)
%	Output:
%		pDFT operator
%

if nargin < 2
   mode = 0; % 0-complex, 1-real, 2-imaginary, 3-absolute
end

if nargin < 3
   phase = 1;
end

if nargin < 4
   imSize = [];
end

res.adjoint  = 0;
res.mask     = mask;
res.datsize  = size(mask);
res.imsize   = imSize;
res.ph       = phase;
res.mode     = mode;
res          = class(res,'pDFT');

